<div class="shared-adl" fxLayout="column">
  <form [formGroup]="adlFormgrp">
    <mat-card class="mat-elevation-z0">
      <div fxFlexAlign="left" *ngIf="!disabelSave">
        <h2>Activities of Daily Living</h2>
      </div>
      <div fxLayout="column" fxFlexAlign="left" style="margin-bottom: 10px;  ">
        <label class="required-label-color" style="font-weight: bold; padding-left: 5px; ">Please Note:
          Activities of Daily Living information is an important component in the applicant's eligibility,
          referral and placement. </label>
        <label style="padding-left: 5px;">Complete the checklist for each of the activities of daily living
          skill as a result of any medical and/or mental health conditions to determine the level of support
          the applicant may need in a supportive housing program</label>

      </div>

      <div fxLayout="column" flex>
        <div fxLayout="row">

          <div fxFlex="20" class="colheader"><span fxFlex="100">Activity</span></div>
          <div fxFlex="59" class="colheader"><span fxFlex="100">Description</span></div>
          <div fxFlex class="colheader"><span fxFlex="100">Type of Support</span></div>
        </div>
        <div fxLayout="row" fxLayoutGap="0px">

          <div fxFlex="20" class="col">
            <span class="lblstyle required-label-color">Personal Hygiene </span>
          </div>
          <div fxFlex="59" class="col2">
            <span fxFlex="100">Bathing, toileting or incontinence, washing clothes, appropriate dress for the
              weather, purchasing and using personal care products</span>
          </div>
          <div fxFlex class="coldrpdwn">
            <mat-form-field appearance="outline" fxFlex="100">
              <mat-select formControlName="personHygieneSupportTypeCtrl"
                (selectionChange)="changeSupportType($event,'PH')" floatPlaceholder="nerver">
                <mat-option [value]="0">Select One</mat-option>
                <mat-option *ngFor="let supporType of supportTypes" [value]="supporType.refGroupDetailID">
                  {{supporType.refGroupDetailDescription}}
                </mat-option>
              </mat-select>
            </mat-form-field>
          </div>
        </div>

        <div fxLayout="row"
          *ngIf="adlFormgrp.controls['personHygieneSupportTypeCtrl'].value == 9 || adlFormgrp.controls['personHygieneSupportTypeCtrl'].value == 11">
          <div fxFlex="20" class="col">
            <label class="lblstyle required-label-color">Details: </label>
          </div>
          <div fxFlex class="coldetails">
            <mat-form-field appearance="outline" fxFlex="100">
              <textarea rows="2" maxlength="250" matInput #personHygieneDetails
                formControlName="personHygieneDetailsCtrl"></textarea>
              <div class="lblstyle required-label-color matsuffixstyl" matSuffix
                *ngIf="personHygieneDetails.value?.length > 200">{{personHygieneDetails.value?.length || 0}}/250</div>
            </mat-form-field>
          </div>
        </div>

        <div fxLayout="row">
          <div fxFlex="20" class="col">
            <label class="lblstyle required-label-color">Travel / Mobility</label>
          </div>
          <div fxFlex="59" class="col2">
            <label>Able to follow directions and comfortable using public transport, able to climb stairs,
              walk, get around; any vision, hearing or physical challenges</label>
          </div>
          <div fxFlex class="coldrpdwn">
            <mat-form-field appearance="outline" fxFlex="100">
              <mat-select formControlName="travelMobilitySupportTypeCtrl"
                (selectionChange)="changeSupportType($event,'TM')">
                <mat-option [value]="0">Select One</mat-option>
                <mat-option *ngFor="let supporType of supportTypes" [value]="supporType.refGroupDetailID">
                  {{supporType.refGroupDetailDescription}}
                </mat-option>
              </mat-select>
            </mat-form-field>
          </div>
        </div>

        <div fxLayout="row"
          *ngIf="adlFormgrp.controls['travelMobilitySupportTypeCtrl'].value == 9 || adlFormgrp.controls['travelMobilitySupportTypeCtrl'].value == 11">
          <div fxFlex="20" class="col">
            <label class="lblstyle required-label-color">Details: </label>
          </div>

          <div fxFlex class="coldetails">
            <mat-form-field appearance="outline" fxFlex="100">

              <textarea rows="2" maxlength="250" matInput #travelMobilityDetails
                formControlName="travelMobilityDetailsCtrl"></textarea>
              <div class="lblstyle required-label-color matsuffixstyl" matSuffix
                *ngIf="travelMobilityDetails.value?.length > 200">{{travelMobilityDetails.value?.length || 0}}/250</div>
            </mat-form-field>
          </div>

        </div>

        <div fxLayout="row">
          <div fxFlex="20" class="col">
            <label class="lblstyle required-label-color">Shopping and
              Meals Preparation</label>
          </div>
          <div fxFlex="59" class="col2">
            <label>Able to plan meals by buying or cooking food and store food properly</label>
          </div>
          <div fxFlex class="coldrpdwn">
            <mat-form-field appearance="outline" fxFlex="100">
              <mat-select formControlName="shoppingSupportTypeCtrl" (selectionChange)="changeSupportType($event,'SM')">
                <mat-option [value]="0">Select One</mat-option>
                <mat-option *ngFor="let supporType of supportTypes" [value]="supporType.refGroupDetailID">
                  {{supporType.refGroupDetailDescription}}
                </mat-option>
              </mat-select>
            </mat-form-field>
          </div>
        </div>

        <div fxLayout="row"
          *ngIf="adlFormgrp.controls['shoppingSupportTypeCtrl'].value == 9 || adlFormgrp.controls['shoppingSupportTypeCtrl'].value == 11">
          <div fxFlex="20" class="col">
            <label class="lblstyle required-label-color">Details: </label>
          </div>

          <div fxFlex class="coldetails">
            <mat-form-field appearance="outline" fxFlex="100">
              <textarea rows="2" maxlength="250" matInput #shoppingDetails
                formControlName="shoppingDetailsCtrl"></textarea>
              <div class="lblstyle required-label-color matsuffixstyl" matSuffix
                *ngIf="shoppingDetails.value?.length > 200">{{shoppingDetails.value?.length || 0}}/250</div>
            </mat-form-field>
          </div>

        </div>


        <div fxLayout="row">
          <div fxFlex="20" class="col">
            <label class="lblstyle required-label-color">Managing Finances</label>
          </div>
          <div fxFlex="59" class="col2">
            <label>Ability to pay bills and plan for the month</label>
          </div>
          <div fxFlex class="coldrpdwn">
            <mat-form-field appearance="outline" fxFlex="100">
              <mat-select formControlName="manageFinanceSupportTypeCtrl"
                (selectionChange)="changeSupportType($event,'MF')">
                <mat-option [value]="0">Select One</mat-option>
                <mat-option *ngFor="let supporType of supportTypes" [value]="supporType.refGroupDetailID">
                  {{supporType.refGroupDetailDescription}}
                </mat-option>
              </mat-select>
            </mat-form-field>
          </div>
        </div>

        <div fxLayout="row"
          *ngIf="adlFormgrp.controls['manageFinanceSupportTypeCtrl'].value == 9 || adlFormgrp.controls['manageFinanceSupportTypeCtrl'].value == 11">
          <div fxFlex="20" class="col">
            <label class="lblstyle required-label-color">Details: </label>
          </div>
          <div fxFlex class="coldetails">
            <mat-form-field appearance="outline" fxFlex="100">

              <textarea rows="2" maxlength="250" matInput #manageFinanceDetails
                formControlName="manageFinanceDetailsCtrl"></textarea>
              <div matSuffix class="lblstyle required-label-color matsuffixstyl"
                *ngIf="manageFinanceDetails.value?.length > 200">{{manageFinanceDetails.value?.length || 0}}/250</div>

            </mat-form-field>
          </div>
        </div>


        <div fxLayout="row">
          <div fxFlex="20" class="col">
            <label class="lblstyle required-label-color">Apartment/Room
              Upkeep</label>
          </div>
          <div fxFlex="59" class="col2">
            <label>Regular cleaning of space; take out garbage; no excess clutter or hoarding; notify
              maintenance of plumbing problems; understands fire safety evacuation</label>
          </div>
          <div fxFlex class="coldrpdwn">
            <mat-form-field appearance="outline" fxFlex="100">
              <mat-select formControlName="aptUpkeepSupportTypeCtrl" (selectionChange)="changeSupportType($event,'RU')">
                <mat-option [value]="0">Select One</mat-option>
                <mat-option *ngFor="let supporType of supportTypes" [value]="supporType.refGroupDetailID">
                  {{supporType.refGroupDetailDescription}}
                </mat-option>
              </mat-select>
            </mat-form-field>
          </div>
        </div>

        <div fxLayout="row"
          *ngIf="adlFormgrp.controls['aptUpkeepSupportTypeCtrl'].value == 9 || adlFormgrp.controls['aptUpkeepSupportTypeCtrl'].value == 11">
          <div fxFlex="20" class="col">
            <label class="lblstyle required-label-color">Details: </label>
          </div>
          <div fxFlex class="coldetails">
            <mat-form-field appearance="outline" fxFlex="100">

              <textarea rows="2" maxlength="250" matInput #manageFinanceDetails
                formControlName="aptRoomUpkeepDetailsCtrl"></textarea>
              <div class="lblstyle required-label-color matsuffixstyl" matSuffix
                *ngIf="manageFinanceDetails.value?.length > 200">{{manageFinanceDetails.value?.length || 0}}/250</div>
            </mat-form-field>
          </div>
        </div>


        <div fxLayout="row">
          <div fxFlex="20" class="col">
            <label class="lblstyle required-label-color">Social Skills/
              Supports</label>
          </div>
          <div fxFlex="59" class="col2">
            <label>Interacts regularly with family/other supports; does not isolate; assertive; respects the
              rights of others/neighbors</label>
          </div>
          <div fxFlex class="coldrpdwn">
            <mat-form-field appearance="outline" fxFlex="100">
              <mat-select formControlName="socialSkillsSupportTypeCtrl"
                (selectionChange)="changeSupportType($event,'SK')">
                <mat-option [value]="0">Select One</mat-option>
                <mat-option *ngFor="let supporType of supportTypes" [value]="supporType.refGroupDetailID">
                  {{supporType.refGroupDetailDescription}}
                </mat-option>
              </mat-select>
            </mat-form-field>
          </div>
        </div>

        <div fxLayout="row"
          *ngIf="adlFormgrp.controls['socialSkillsSupportTypeCtrl'].value == 9 || adlFormgrp.controls['socialSkillsSupportTypeCtrl'].value == 11">
          <div fxFlex="20" class="col">
            <label class="lblstyle required-label-color">Details: </label>
          </div>
          <div fxFlex class="coldetails">
            <mat-form-field appearance="outline" fxFlex="100">

              <textarea rows="2" maxlength="250" matInput #socialSkillsDetails
                formControlName="socialSkillsDetailsCtrl"></textarea>
              <div class="lblstyle required-label-color matsuffixstyl" matSuffix
                *ngIf="socialSkillsDetails.value?.length > 200">{{socialSkillsDetails.value?.length || 0}}/250</div>
            </mat-form-field>
          </div>
        </div>

        <div fxLayout="row">
          <div fxFlex="20" class="col">
            <label class="lblstyle required-label-color">Manage
              Health and Behavioral Health</label>
          </div>
          <div fxFlex="59" class="col2">
            <label>Recognize health and mental health symptoms/problems; communicate health concerns to care
              providers; make and keep appointments; take medications as prescribed; relapse preventive
              awareness</label>
          </div>
          <div fxFlex class="coldrpdwn">
            <mat-form-field appearance="outline" fxFlex="100">
              <mat-select formControlName="manageHealthSupportTypeCtrl"
                (selectionChange)="changeSupportType($event,'MH')">
                <mat-option [value]="0">Select One</mat-option>
                <mat-option *ngFor="let supporType of supportTypes" [value]="supporType.refGroupDetailID">
                  {{supporType.refGroupDetailDescription}}
                </mat-option>
              </mat-select>
            </mat-form-field>
          </div>
        </div>

        <div fxLayout="row"
          *ngIf="adlFormgrp.controls['manageHealthSupportTypeCtrl'].value == 9 || adlFormgrp.controls['manageHealthSupportTypeCtrl'].value == 11">
          <div fxFlex="20" class="col">
            <label class="lblstyle required-label-color">Details: </label>
          </div>
          <div fxFlex class="coldetails">
            <mat-form-field appearance="outline" fxFlex="100">

              <textarea rows="2" maxlength="250" matInput #manageHealthDetails
                formControlName="manageHealthDetailsCtrl"></textarea>
              <div class="lblstyle required-label-color matsuffixstyl" matSuffix
                *ngIf="manageHealthDetails.value?.length > 200">{{manageHealthDetails.value?.length || 0}}/250</div>
            </mat-form-field>
          </div>
        </div>

        <div fxLayout="row">
          <div fxFlex="20" class="col">
            <label   [ngClass]="{'required-adlOther': otherADlRequired,
                                'lblstyle': !otherADlRequired}">If Other
              ADL Impairments, describe:</label>
          </div>
          <div fxFlex="59" class="coldetails">
            <mat-form-field appearance="outline" fxFlex="100">

              <textarea rows="3" maxlength="250" #otherADLDetails matInput
                formControlName="otherADLDetailsCtrl"></textarea>
              <div class="lblstyle required-label-color matsuffixstyl" matSuffix
                *ngIf="otherADLDetails.value?.length > 200">{{otherADLDetails.value?.length || 0}}/250</div>
            </mat-form-field>
          </div>
          <div fxFlex class="coldrpdwn">
            <mat-form-field appearance="outline" fxFlex="100">
              <mat-select formControlName="otherADLSupportTypeCtrl"
                (selectionChange)="changeSupportType($event,'OADL')">
                <mat-option [value]="0">Select One</mat-option>
                <mat-option *ngFor="let supporType of supportTypes" [value]="supporType.refGroupDetailID">
                  {{supporType.refGroupDetailDescription}}
                </mat-option>
              </mat-select>
            </mat-form-field>
          </div>
        </div>



      </div>

    </mat-card>

    <app-nav-footer (Savebtn)="saveForm()" [isSaveRequired]="disabelSave" [isNextRequired]="disabelSave"
      [isPreviousRequired]="disabelSave" (Previousbtn)="PreviousPage()" (Nextbtn)="NextPage()"></app-nav-footer>

  </form>

</div>